/*
 * StillParticle.java
 *
 * Created on 25 grudzień 2004, 18:44
 */

package JSciDraw.physics;

import JSci.maths.*;
import JSciDraw.physics.forces.constraints.Point;

/**
 *
 * @author  Przemek
 */
public class StillParticle extends ClassicalParticleV2D{
    
    /** Creates a new instance of StillParticle */
    public StillParticle(AbstractDoubleVector pos) {
     super();
     this.setPosition(pos);
     this.setVelocity(new Double2Vector(0,0));
     this.applyConstraints(new Point(pos));
    }
    
}
